## org.eclipse.uml2.common.edit.command
Class SubsetReplaceCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.uml2.common.edit.command.SubsetCommand
                  org.eclipse.uml2.common.edit.command.SubsetReplaceCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

Deprecated.

    @Deprecated
    public class SubsetReplaceCommand

extends SubsetCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary
`protected java.util.Collection<?>` `collection` Deprecated.
`protected java.lang.Object` `value` Deprecated.

Fields inherited from class org.eclipse.uml2.common.edit.command.SubsetCommand
`domain, feature, owner, subsetCommand, supersetFeatures`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`SubsetReplaceCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EStructuralFeature[] supersetFeatures, java.lang.Object value, java.util.Collection<?> collection)` Deprecated.

Method Summary
`void` `execute()` Deprecated.

Methods inherited from class org.eclipse.uml2.common.edit.command.SubsetCommand
`prepare`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected final java.lang.Object value

  Deprecated.

### collection

    protected final java.util.Collection<?> collection

  Deprecated.

Constructor Detail

### SubsetReplaceCommand

    public SubsetReplaceCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                org.eclipse.emf.ecore.EObject owner,
                                org.eclipse.emf.ecore.EStructuralFeature feature,
                                org.eclipse.emf.ecore.EStructuralFeature[] supersetFeatures,
                                java.lang.Object value,
                                java.util.Collection<?> collection)

  Deprecated.

Method Detail

### execute

    public void execute()

  Deprecated.
  Specified by:
    `execute` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `execute` in class `SubsetCommand`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.